.\" apmsleep.1
.\"
.TH RTCSLEEP 1 "endort aux modes APM suspendu/veille" "APM" \" -*- nroff -*-
.SH NOM
apmsleep \- met en mode suspendu ou veille et rallume ultrieurement
.SH SYNOPSIS
.B apmsleep
[\-sSnwhVd] [\-\-suspend] [\-\-standby] [\-\-noapm]
[\-\-wait] [\-\-help]  [\-\-version] [\-\-debug]
[+]hh:mm
.SH DESCRIPTION
Certains ordinateurs, particulirement des portables, peuvent tre
rallums depuis un mode suspendu de basse consommation en utilisant la
puce Horloge-temps-rl (RTC).
.B Apmsleep
peut tre utilis pour rgler l'heure d'alarme dans la RTC et pour passer
en mode suspendu ou veille. Une interruption provenant de la RTC provoque
le rveil de l'ordinateur. Le programme dtecte cet vnement, en attendant
un saut dans le temps du noyau et se termine avec succs. Si aucun saut
n'intervient sous une minute, ou que quelque chose se passe mal, la valeur
de retour sera diffrente de zro.
.PP
L'heure de rveil peut tre spcifie en deux formats\~:
.PP
.B +hh:mm
spcifie un dcalage par rapport  l'heure actuelle. L'ordinateur se
rveillera dans exactement hh heures et mm minutes plus quelques secondes
pour se rveiller.
.PP
.B hh:mm
spcifie une heure
.B locale 
absolue au format 24 heures. L'heure stocke dans le RTC n'est pas
importante. Vous pouvez changer la zone de temps utilise, courament
avec la variable d'environnement TZ. Les heures d't/hiver ne sont pas
prises en compte dans cette version, mais le seront peut-tre dans une
version future.
.TP
.B \-V, \-\-version
Affiche la version du programme
.B apmsleep
et termine immdiatement.
.TP
.B \-s, \-\-suspend
Met la machine en mode suspendu si possible (par dfaut). Sur mon portable,
le mode suspendu teint tout sauf la mmoire.
.TP
.B \-S, \-\-standby
Met la machine en mode veille si possible. Sur mon portable, le mode
veille teint l'cran, le disque dur et le processeur.
.TP
.B \-w, \-\-wait
Attend indfiniment le saut de temps.
.TP
.B \-n, \-\-noapm
N'appelle pas /usr/bin/apm pour suspendre l'ordinateur, rgle seulement
l'alarme de l'horloge et attend le saut de temps.
.TP
.B \-d, \-\-debug
Affiche quelques informations sur ce qui est en train de se passer.
.SH CONFIGURATION SYSTME REQUISE
.TP
.B Noyau
Le priphrique spcial /dev/rtc doit exister et le noyau Linux doit tre
compil avec le support APM et RTC (CONFIG_RTC, et
les CONFIG_APM* appropris). 
.TP
.B BIOS
L'ordinateur doit avoir l'option 'suspendre vers la mmoire' active dans
le BIOS\~; 'suspendre vers le disque' ne va pas fonctionner, car l'ordinateur
est compltement teint. vous n'avez pas besoin d'activer la minuterie de
l'ALARME, elle sera active par apmsleep. Sur certaines cartes mres, vous
pouvez dterminer quelles interruptions peuvent tre utilises pour rveiller
 partir du mode suspendu. Si vous en possdez une de ce type, vous voudrez
peut-tre vous assurer que le clavier (IRQ 1) et la RTC (IRQ 8) 
sont parmi ces interruptions.
.TP
.B Privilges
Ce programme doit tre excut comme administrateur (root) ou avoir
l'attribut SUID activ (voir chmod(1)).
.PP
.SH BOGUES
Apmsleep ne peut pas dtecter quel evnement a termin la mise en veille.
Les evnements possibles sont\~: activit du clavier ou de la souris, appel
sur le modem, alarme de la RTC, n'importe quelle autre interruption.

Ce programme n'a t test que sur un portable Winbook XL (Pentium). 
Il peut ne pas fonctionner sur votre matriel.
.SH AUTEUR
crit par Peter Englmaier (ppe@pa.uky.edu) et pouvant tre distribu suivant
les termes de la Licence Publique Gnrale GNU. Le code est bas sur le
programme exemple de test de la RTC de Paul Gortmacher. Il n'y a ABSOLUMENT
AUCUNE GARANTIE pour ce programme. Le mainteneur actuel est Peter Englmaier.
.SH "VOIR AUSSI"
.BR xapm "(1), "apmd (8), rtc.txt "(Documentation du Noyau Linux)"
.SH TRADUCTION
Cette page d'aide a t traduite par Jos JORGE <jose.jorge@oreka.com>
